@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface JoltEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
JoltEndpointBuilderFactory.AdvancedJoltEndpointBuilder
Advanced builder for endpoint for the JOLT component.
|
static interface |
JoltEndpointBuilderFactory.JoltBuilders |
static interface |
JoltEndpointBuilderFactory.JoltEndpointBuilder
Builder for endpoint for the JOLT component.
|
static class |
JoltEndpointBuilderFactory.JoltInputOutputType
Proxy enum for
org.apache.camel.component.jolt.JoltInputOutputType enum. |
static class |
JoltEndpointBuilderFactory.JoltTransformType
Proxy enum for
org.apache.camel.component.jolt.JoltTransformType enum. |
| Modifier and Type | Method and Description |
|---|---|
static JoltEndpointBuilderFactory.JoltEndpointBuilder |
jolt(String path)
JOLT (camel-jolt)
The jolt component allows you to process a JSON messages using an JOLT
specification (such as JSON-JSON transformation).
|
static JoltEndpointBuilderFactory.JoltEndpointBuilder jolt(String path)
jolt:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethod.Apache Camel